Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class FilterHelper

    java.lang.Object
      org.hibernate.internal.FilterHelper

    public class FilterHelper

extends Object

Implementation of FilterHelper.

Constructor Summary
`FilterHelper(Map filters, Dialect dialect, SQLFunctionRegistry functionRegistry)` The map of defined filters.

Method Summary
`boolean` | `isAffectedBy(Map enabledFilters)`
`void` | `render(StringBuilder buffer, String alias, Map enabledFilters)`
`String` | `render(String alias, Map enabledFilters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterHelper

    public FilterHelper(Map filters,
                        Dialect dialect,
                        SQLFunctionRegistry functionRegistry)

  The map of defined filters. This is expected to be in format where the filter names are the map keys, and the defined conditions are the values.

  Parameters:
    `filters` - The map of defined filters.
    `dialect` - The sql dialect
    `functionRegistry` - The SQL function registry

Method Detail

### isAffectedBy

    public boolean isAffectedBy(Map enabledFilters)

### render

    public String render(String alias,
                         Map enabledFilters)

### render

    public void render(StringBuilder buffer,
                       String alias,
                       Map enabledFilters)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.